Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.smc.parser
Class SmcLexerContext.TokenMap_Default

    java.lang.Object
      statemap.State
          net.sf.smc.parser.SmcLexerContext.SmcLexerState
              net.sf.smc.parser.SmcLexerContext.TokenMap_Default

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  SmcLexerContext

    protected static class SmcLexerContext.TokenMap_Default

extends SmcLexerContext.SmcLexerState

See Also:
  Serialized Form

Constructor Summary
`protected` | `SmcLexerContext.TokenMap_Default(java.lang.String name, int id)`

Method Summary
`protected void` | `asterisk(SmcLexerContext context)`

Methods inherited from class net.sf.smc.parser.SmcLexerContext.SmcLexerState
`alpha, colon, comma, commentDone, Default, digit, dollar, Entry, EOL, equal, Exit, left_brace, left_bracket, left_paren, percent, period, right_brace, right_paren, semicolon, slash, sourceDone, underscore, unicode, whitespace`

Methods inherited from class statemap.State
`getId, getName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SmcLexerContext.TokenMap_Default

    protected SmcLexerContext.TokenMap_Default(java.lang.String name,
                                               int id)

Method Detail

### asterisk

    protected void asterisk(SmcLexerContext context)

  Overrides:
    `asterisk` in class `SmcLexerContext.SmcLexerState`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SMC 6_0_0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. Charles W. Rapp. All Rights Reserved. Use is subject to license terms.